=== debian/changelog ===
piuparts (0.48ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - In Ubuntu, debfoster tries to remove packages with priority
     required even if MaxPriority=required is used. Setting MaxPriority
     to important reduces the number of packages to be removed as well
     as false positives generated by unwanted package removals. This can
     be dropped if a proper fix for debfoster is found.
   - piuparts.py: Set default keyring name to ubuntu-archive-keyring.pgp
   - Set default distribution to raring.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 02 Dec 2012 14:47:08 -0500

piuparts (0.48) unstable; urgency=low

  [ Andreas Beckmann ]
  * piuparts.py:
    - Ignore *.dpkg-* conffile backups found in --scriptsdir directories.
    - Report attributes (for reference and current file) in case of file
      modification.
    - Report paths of installed files that contain symlinks (for better
      debugging of the problems caused by such a setup).
      ( test $(dirname $x) != $(readlink -f $(dirname $x)) )
    - Add debsums, processes, and broken-symlinks check after the first purge
      in --install-purge-install mode.
    - Add --install-recommends option, disabled by default.
    - Mark temporary directories with a .piuparts.tmpdir file.
    - Use rm -rf --one-file-system to delete chroots.
  * piuparts.conf:
    - New per section settings: expire-old-days, expire-fail-days (defaulting
      to 0 which means expiration is disabled).
    - Split and rename piuparts-cmd into piuparts-command ([global] setting
      that should include all common flags) and piuparts-flags (for additional
      section-specific flags).
    - Rename the tempdir setting to tmpdir, this will be used for the --tmpdir
      argument of piuparts, too.
  * piuparts-master.py:
    - Enable recycling before initializing the real package db.
    - Enable logging by default and set default log-file to
      $SECTION/master.log. Use "/dev/null" to disable logging.
  * piuparts-slave.py:
    - Retry sections with higher precedence more often.
    - Construct the piuparts command line from the new config options
      piuparts-command, piuparts-flags, and tmpdir.
  * piuparts-report.py:
    - Don't hardcode section names, always show all known_problem reports.
  * detect_piuparts_issues: Catch the chroot running out of space.
  * reschedule_oldest_logs: Implement logfile expiration. Delete logfiles that
    are marked for recycling and are older than expire-{old,fail}-days. These
    packages have not been retested because of some dependency problem making
    the package currently untestable. Deleting the log will cause the package
    to be moved to dependency-failed-testing or similar state.
    expire-*-days needs to be greater than reschedule-*-days to enable this.
  * slave_cleanup: Only remove directories containing a .piuparts.tmpdir file.
  * New bug template: copyright_file_missing_after_upgrade.
  * New known problem: Installing something over existing symlinks.

 -- Holger Levsen <holger@debian.org>  Fri, 30 Nov 2012 12:12:09 +0100

piuparts (0.47ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - In Ubuntu, debfoster tries to remove packages with priority
     required even if MaxPriority=required is used. Setting MaxPriority
     to important reduces the number of packages to be removed as well
     as false positives generated by unwanted package removals. This can
     be dropped if a proper fix for debfoster is found.
   - piuparts.py: Set default keyring name to ubuntu-archive-keyring.pgp
  * Set default distribution to raring.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 05 Nov 2012 22:52:54 -0500

piuparts (0.47) unstable; urgency=low

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files/ignored_patterns:
      + /var/log/dbconfig-common/dbc.log
    - Print a final message before terminating in the panic() handler.
    - Add support for running debsums before package removal, enabled by
      default. May be disabled via --no-debsums.  (Closes: #687538)
    - Add debsums as dependency.
  * piuparts-slave.py:
    - Detect incomplete piuparts output and ensure such tests fail.
  * piuparts-report.py:
    - Rewrite find_files_with_suffix(), handle disappearing files.
  * New custom script pre_remove_50_find_missing_copyright: check for missing
    /usr/share/doc/$package/copyright files.  (Closes: #683685)
  * Rename custom script post_install_find_bad_permissions to
    pre_remove_50_find_bad_permissions to avoid early failures during upgrade
    tests that may be fixed in a later version.
  * Remove post_purge_dbconfig_cleanup custom script.
  * reschedule_oldest_logs: Refactored.
    - Fix duplicate variable name usage that sometimes prevented recycling.
    - Support a [global] auto-reschedule=no setting.
  * detect_well_known_errors: Unclassified logs may still be bugged.
  * detect_piuparts_issues: Detect incomplete logfiles.
  * New bug template: modifies_conffiles.
  * New known problem: Modifying conffiles or other shipped files.
  * New custom script post_distupgrade_hack_debsums to work around #687611
    which makes all debsum checks fail due to modification of
    /usr/share/keyrings/debian-archive-removed-keys.gpg during upgrades.

 -- Holger Levsen <holger@debian.org>  Fri, 28 Sep 2012 13:24:47 +0200

piuparts (0.46) unstable; urgency=low

  [ Holger Levsen ]
  * piuparts-report: drop in-code index.tpl stub.
  * slave-join: fix bug preventing detection that the slave is not running.
  * piuparts: call schroot with session: argument, thanks to Stephan Sürken
    for the patch. (Closes: #686360)

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files/ignored_patterns:
      + /var/lib/cdebconf/{questions,templates}.dat-old
      + /var/lib/onioncat/
      + /var/lib/vmm/(./.*)?    (Closes: #682184)

