## piuparts 0.53

=== debian/changelog ===
piuparts (0.53) unstable; urgency=low

  [ Andreas Beckmann ]
  * piuparts.py:
    - Do not run adequate checks on possibly disappearing packages.
    - Add --allow-database option that enables starting MySQL and PostgreSQL
      database servers in the chroot. (Closes: #662633)
    - Relax the check for running processes if --allow-database is given.
  * distros.conf:
    - Add "candidates" key to merge multiple Packages files into one virtual
      distro.
    - Define wheezy-proposed and squeeze-proposed.
  * piupartslib/conf.py:
    - Add get_{packages,sources}_urls() that resolve "candidates".
  * piupartslib/packagesdb.py:
    - Add load_packages_urls() methods.
  * piuparts-{master-backend,slave,report}.py:
    - Switch to load_*_urls(get_*_urls()) for loading Packages/Sources files,
      adding support for arbitrarily composed virtual distros.
  * Makefile:
    - Stop installing python modules in $libdir/python2.6/dist-packages.
  * debian/control:
    - Bump Build-Depends: python (>= 2.7).
    - piuparts-slave: Add Depends: sudo.  (Closes: #710350)
  * New known problem: Packages with missing or incomplete .md5sums files.
  * piuparts-master.deb: Ship some piuparts.conf examples.
  * detect_piuparts_issues: Detect problems starting MySQL or PostgreSQL.
  * pre_install_database-server: New script to install a database server for
    packages that require one during postinst but only recommend or suggest
    (or maybe not even this) the server package to allow for remote db
    servers.
  * pre_distupgrade_zz_database-server: New script to upgrade (running)
    database servers before all other packages. This ensures the database
    server is running again before the dependent packages (that may declare
    'insufficient' dependencies on a 'local' database server) are upgraded.

  [ David Steele ]
  * Update python Requires to 2.7 (for argparse)
  * Edit piuparts_slave_* man pages for more information and format.
  * Specify the manpage doctype for AsciiDoc man sources.

  [ Holger Levsen ]
  * piuparts.1.txt, README.txt and README_pejacevic.txt: proof-read and
    cleaned up.
  * Move master-slave related documentation from README.txt to
    README_server.txt and leave a pointer in the former.
  * Rename README.txt to README_1st.txt.
  * piuparts-master.deb:
    - Ship README_server.txt.
    - Recommend devscripts and libsoap-lite-perl (for gather_bts_stats).
  * piuparts-report.py: Add a link to README_server.html.
  * master-bin/gather_bts_stats: write bts_stats.txt to master-directory.
  * conf/crontab-master: run gather_bts_stats daily.
  * master-bin/prepare_backup: backup bts_stats.txt and do not backup
    sources.txt.
  * piuparts.py: categorize adequate results using inadequate_tags,
    boring_tags, ignored_tags and unknown. Show adequate exit code if
    non-zero.
  * Add known_problems/*inadequate*.conf for all adequate tags we care about.
  * htdocs/index.tpl: Improve description about piuparts.debian.org.
    (Closes: #700848)

  [ Andrew Starr-Bochicchio ]
  * piuparts.py:
    - Move default keyring to distro defaults.  (Closes: #710346)
    - When distro defaults are explicitly specified, use the distro default
      mirrors (Closes: #710347).

 -- Holger Levsen <holger@debian.org>  Sun, 09 Jun 2013 12:57:52 +0200

piuparts (0.52) unstable; urgency=low

  [ Andreas Beckmann ]
  * piuparts.py:
    - Really disable PDiffs.  (Closes: #708241)
  * piuparts-master.in:
    - Use timeout to prevent master from getting stuck.  (Closes: #701618)
  * piuparts-slave.py:
    - Report upgrade tests involving downgrades as untestable.
    - Always pass --arch <arch> to piuparts.
  * piuparts-analyze.py:
    - Consider archived bugs, too.  (Closes: #669966)
  * piuparts-report.py:
    - Switch from python-rpy to python-rpy2.  (Closes: #705975)
    - rpy2: Use a noninteractive grDevice.
  * Makefile:
    - Switch default target from 'install' to 'build'.
  * scripts-no-usr-share-doc/post_setup_disable_usr_share_doc: New custom
    script to instruct dpkg to skip installing most files in /usr/share/doc.
    This catches maintainer scripts relying on /usr/share/doc content.
  * New bug template: postinst_uses_usr_share_doc.
  * piuparts-master.deb:
    - Switch Depends: python-rpy to Depends: python-rpy2.

  [ Holger Levsen ]
  * piuparts.py:
    - Run adequate (if installed) after installation test. New options
      --no-adequate and --fail-if-inadequate. (Closes: #703902)
    - Workaround #709372 and ignore broken symlinks found by adequate.
    - Do not print a "Guessed: debian" line on every run. It's the default
      anyway. (Closes: #703058)
  * piuparts-report:
    - Add templates for known_problems/inadequate_issue and inadequate_error.
    - Add link to the piuparts source at the top of the navigation menu on the
      left.
    - Add links to Debian QA group and jenkins.debian.net at the bottom of
      that navigation menu.
  * debian/control: Add adequate to piuparts' recommends.
  * piuparts-slave.postrm: Also remove /var/cache/piuparts/tmp on purge.
  * conf/crontab-master: Run generate_daily_report twice a day.
  * piuparts-slave.deb: Add piuparts_slave_run.8 and piuparts_slave_join.8
    manpages.

 -- Holger Levsen <holger@debian.org>  Mon, 27 May 2013 18:10:43 +0200

piuparts (0.51) unstable; urgency=low

  [ Andreas Beckmann ]
  * Mark all python code as utf-8 encoded.
  * piuparts.py:
    - In install-purge tests support installing extra packages before the
      package to be tested via --extra-old-packages.
    - Add --arch <arch> option to run the test for the requested instead of
      the default architecture.
    - Disable using PDiffs in order to save CPU instead of bandwidth to a
      local mirror/proxy.  (Closes: #708241)
  * piuparts.conf:
    - New global settings:
      + slave-count
    - Use installation-dependent defaults for known-problem-directory.
  * distros.conf:
    - Update backports setup after integration into the regular archive.

