=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: piuparts
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders:
  Holger Levsen <holger@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends:
  debhelper (>= 8.1.0~),
- python (>=2.6.6-3~),
+ python (>= 2.7),
 Build-Depends-Indep:
  asciidoc,
  git,
@@ -16,13 +15,14 @@
 Homepage: http://piuparts.debian.org
 Vcs-Git: git://anonscm.debian.org/piuparts/piuparts.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=piuparts/piuparts.git
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 
 Package: piuparts
 Architecture: all
 Pre-Depends:
  dpkg (>= 1.15.7.2~),
 Depends:
+ piuparts-common (= ${binary:Version}),
  debootstrap,
  debsums,
  lsb-release,
@@ -30,6 +30,8 @@
  python-debian,
  ${misc:Depends},
  ${python:Depends}
+Recommends:
+ adequate
 Suggests:
  schroot
 Description: .deb package installation, upgrading, and removal testing tool
@@ -50,15 +52,17 @@
  adduser,
  openssh-server,
  python-debianbts,
+ tango-icon-theme,
+ xz-utils,
  ${misc:Depends},
  ${python:Depends}
 Recommends:
  apache2,
  ghostscript,
- python-rpy,
+ python-rpy2,
  r-base-dev,
  r-recommended,
- tango-icon-theme
+ devscripts, libsoap-lite-perl,
 Breaks:
  piuparts (<= 0.44)
 Replaces:
@@ -81,6 +85,7 @@
  adduser,
  openssh-client,
  screen,
+ sudo,
  ${misc:Depends},
  ${python:Depends}
 Suggests:
