=== debian/changelog ===
piuparts (0.56ubuntu1) trusty; urgency=medium

  * Change default Ubuntu distribution to Trusty 

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 15 Apr 2014 12:46:15 +0200

piuparts (0.56) unstable; urgency=low

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files:
      + /etc/apt/apt.conf.d/01autoremove-kernels
    - Use temporary files while creating basetgz and rename afterwards.
    - Remove the package to be tested separately before removing its Depends
      and Recommends.
    - --allow-database now also enables firebird2.5-super.
  * piuparts.conf:
    - New per-section settings:
      + components
  * piupartslib/__init__.py:
    - open_packages_url(): Try Packages.gz if Packages.bz2 is not available.
      (Closes: #711157)
    - Add new class DecompressedStream.
    - open_packages_url(): Use DecompressedStream to transparently decompress
      a Packages.{bz2,gz} file while downloading and reading the content
      without requiring to store the complete file (compressed and/or
      decompressed) in memory.
  * piupartslib/packagesdb.py:
    - PackagesFile: Allow restricting to a set of package names.
  * piuparts-slave.py:
    - Use locking to prevent concurrent basetgz creation.  (Closes: #708287)
    - Use the "components" setting to restrict the archive areas being used
      in the generated sources.list.
    - Reduce memory footprint by discarding unneeded Packages file parts.
  * piuparts-report.py:
    - Report URLs of all Packages files used for a section.
    - Avoid reporting duplicate dependencies after stripping versioning.
    - Fix some invalid HTML constructs.
    - Sort maintainer summary by state: failing packages on top.
  * Improve exception handling.
  * known_problems: Upgrade adequate issue 'missing-copyright-file' from
    boring to normal and make pre_remove_50_find_missing_copyright no longer
    generate fatal errors.
  * Add support for new adequate tags missing-symbol-version-information and
    symbol-size-mismatch.
  * reschedule_oldest_logs: Report number of logfiles in recycle/.
  * Add more piuparts exceptions to work around various failures in multiple
    packages. Add a known_problem report for packages using exceptions.
  * bug-templates: Recommend to use the new dpkg-maintscript-helper commands
    dir_to_symlink/symlink_to_dir that were added in dpkg 1.17.2.
    (Closes: #720185)

  [ Holger Levsen ]
  * piuparts-report.py: use descriptive link targets for (in)adequate issues
    instead of mere tag names, thanks to Jakub Wilk for the wordings.
  * Bump standards version to 3.9.5, no changes needed.
  * Bump compat level to 9, thus build-depend on debhelper > 9.20120909~.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Dec 2013 12:59:14 +0100

piuparts (0.55) unstable; urgency=low

  [ Ivo De Decker ]
  * piuparts-report.py: Add sources.yaml and section.yaml exports.

  [ Holger Levsen ]
  * Add file CONTRIBUTING, thanks to Vincent McIntyre for it! (Closes: #721348)
  * piuparts-report: Add "contact us" link.
  * piuparts.py: Explain at the very beginning of the generated log that
    contact information is part of the FAQ.

  [ Andreas Beckmann ]
  * Add bug templates for wheezy.
  * scripts-leftovers: Improve cleanup in /var/lib/systemd with fake-essential
    init-system-helpers.  (Closes: #719869)

 -- Holger Levsen <holger@debian.org>  Thu, 03 Oct 2013 15:31:38 +0200

piuparts (0.54) unstable; urgency=low

  [ Holger Levsen ]
  * known_problems: fix some adequate patterns.
  * piuparts-master: recommend apache2 | httpd.
  * README_server.txt: be more verbose about configuring sudo.
    (Closes: #711155)
  * piuparts.py and piuparts-reports.py: add "incompatible-licenses" (detected
    since adequate 0.7) and "ldd" to inadequate_tags and known_problems.

  [ David Steele ]
  * piupartslib/packagesdb.py
    - The dependency calculation for rdeps is reworked to match that used
      elsewhere, to allow package reserve() to drive waiting-for-dep to
      drive to 0 more quickly. (Closes: #705977)
    - Reworked rdep metrics (block_count, rrdep_count, waiting_count) to
      calculate on-demand. Access methods are moved from Package to
      PackagesDB.
    - Add a metric for the worst-case reverse-dependency chain length.
    - Weight the reserved packages returned by this additional factor.

  [ Andreas Beckmann ]
  * piuparts.py: add to ignored_files: /etc/hosts

 -- Holger Levsen <holger@debian.org>  Tue, 30 Jul 2013 11:05:32 +0200
