=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: piuparts
-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders:
  Holger Levsen <holger@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends:
- debhelper (>= 8.1.0~),
+ debhelper (>= 9.20120909~),
  python (>= 2.7),
 Build-Depends-Indep:
  asciidoc,
@@ -54,15 +55,17 @@
  python-debianbts,
  tango-icon-theme,
  xz-utils,
+ python-yaml,
  ${misc:Depends},
  ${python:Depends}
 Recommends:
- apache2,
+ apache2 | httpd,
  ghostscript,
  python-rpy2,
  r-base-dev,
  r-recommended,
- devscripts, libsoap-lite-perl,
+ devscripts,
+ libsoap-lite-perl,
 Breaks:
  piuparts (<= 0.44)
 Replaces:
