=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2


override_dh_auto_build:
	$(MAKE) prefix=/usr build build-doc

override_dh_auto_test:
	echo "unittests are disabled as they haven't been run at build time since years and thus are broken..."

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp prefix=/usr etcdir=/etc install install-doc install-conf

override_dh_python2:
	dh_python2 -p piuparts-master -p piuparts-slave /usr/share/piuparts
	dh_python2 -N piuparts-master -N piuparts-slave
