## piuparts 0.59

=== debian/changelog ===
piuparts (0.59) unstable; urgency=low

  [ Holger Levsen ]
  * piuparts.py:
    - mount selinuxfs read-only and on new location when possible. Thanks to
      Laurent Bigonville for the patch! (Closes: #682068)
    - Add to ignored_files:
      + /etc/sub{g,u}id[-] introduced by shadow 1:4.2-1.
  * piuparts-report.py:
    - create https URLs in source_summary_url(). This should probably be made
      configurable.
    - fix log directory creation. (Closes: #746722)
    - fix spelling of "ditto". (Closes: #746724)
    - create graph of rc and non-rc bugs filed (and fixed) since the beginning
      of piuparts testing and display it on piuparts.d.o welcome page.
    - move counts.txt from htdocs to master directory.
  * master-bin/gather_bts_stats: differate between rc and non-rc bugs.
  * Makefile:
    - Don't install crontabs and sudoers file anymore, except when
      installing from git.
    - Also cleanup python bytecode from tests.
  * Packaging:
    - install cron files for piupartsm and piupartss users in
      /usr/share/doc/piuparts-(master|slave)/examples/ (Closes: #746721)
    - split sudoers.d into master and slave and provide them in /examples/
      too.
    - install piuparts.conf.sample in /usr/share/doc/piuparts-master/examples/
    - install slave_run and slave_join in /usr/bin/ (Closes: #746718)
    - piuparts-slave.postinst: do not attempt to add the slave user's ssh
      public key to the master user's authorized key. The slave package should
      maybe recommend the master package, but definitly not pre-depend on it,
      which would be a requirement to make this work. So document this
      instead.
  * Updates various pieces of documentation, rename README_1st to README.
    Explicitly state what will break when using cdebootstrap with pbuilder.
    (Closes: #709348)
  * Update various custom-scripts (usually to workaround problems in other
    packages).
  * Switch all links to bugs.debian.org, www.debian.org, wiki.debian.org,
    packages.debian.org, anonscm.debian.org and lists.debian.org,
    db.debian.org, qa.debian.org, lists.alioth.debian.org and udd.debian.org
    to https.

  [ David Steele ]
  * dependencyparser.py - Be more lenient about the multi-arch modifiers
    accepted and stripped by the parser.
  * piuparts-report.py:
    - Fix indentation of generate_global_summary()
    - Refactor sections_by_precedence() out of generate_global_summary().
    - Restore (a copy of) the counts.txt file to the web view, in
      <section>/counts.txt.
    - Also add a link to counts.txt to the section page.
  * Remove oldstable distribution results from the JSON summary.
    - Also remote stable distribution results.

 -- Holger Levsen <holger@debian.org>  Mon, 14 Jul 2014 13:14:19 +0000

piuparts (0.58) unstable; urgency=low

  [ Holger Levsen ]
  * debian/copyright: update years.
  * piuparts.py:
    - ignore multiarch definition in_default_debian_mirrors()
      (Closes: #711370)
    - Add to ignored_files:
      + /etc/machine-id (Closes: #619244)
  * custom-scripts: add debugging output for resolvconf. (See #660350)
  * Adapt and rename conf/piuparts.apache to piuparts-master.conf as per
    apache2.4 transition. (Closes: #712384)
  * piuparts.1.txt: explain that --do-not-verify-signatures also causes
    APT::Get::AllowUnauthenticated to be set accordingly in the chroots.
  * Switch ubuntu default to 'trusty'. (Closes: #744848). Then switch it to
    'utopic'...
  * piuparts-report: Add link to ci.debian.net to navigation menu.
  * Replace http://piuparts.debian.org with https everywhere. Thanks to DSA
    for all their support running piuparts.debian.org and for everything else!

  [ Andreas Beckmann ]
  * piupartslib/packagesdb.py:
    - Add missing PackagesDB.get_version(package_name) method, needed by
      piuparts-report.
    - Add PackagesDB.get_source(package_name) method, for easy lookup of
      source package names.
  * piuparts-report.py:
    - Improve integration of known problem reports generation.
  * master-bin/detect_well_known_errors.py:
    - Classify unclassified failures as unclassified_failures.conf.

  [ David Steele ]
  * piuparts-report.py: Store test summary.json output at the section
    and global level, using a new piupartslib/pksummary.py module.
    The new Config.get_std_distro() provides a standard default distro
    name for summaries. (Closes: #740386)
  * Add python-distro-info to piuparts-common's depends and to build-depends
    as it's used in the tests too.

 -- Holger Levsen <holger@debian.org>  Thu, 01 May 2014 00:23:42 +0200

piuparts (0.57) unstable; urgency=low

  [ Ivo De Decker ]
  * piuparts-report.py: Use source version from final_distro.
    (Closes: #733900)

  [ Matthias Schmitz ]
  * Rearrange old unittests.py, use nosetests instead:
    - Move unittests.py to tests/ subdirectory,
    - Split out dependencyparser test to an extra file,
    - Add configuration for nosetests,
    - Use nosetests in Makefile target "check".
  * piuparts.py:
    - Add unittest for DefaultsFactory / Defaults.
    - Use pymox to mock the piuparts.guess_flavor() function as it would run
      lsb_release in a subprocess.
    - Move broken_symlink unittest out of piuparts.py into
      tests/test_piuparts.py so nosetests can run this test and detect
      coverage.
  * Add tests/README documenting the naming of the test classes and functions.
  * Re-enable unittests during package build
    - Don't create coverage report during pkg build.
    - Add to Build-Depends: python-debian, python-apt, python-nose,
      python-debianbts, python-yaml, and python-mox3.

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files:
      + /etc/group.org
      + /etc/passwd.org
      + /etc/shadow.org
    - Create piuparts-depends-dummy.deb with gzip compression for
      installability with older dpkg versions.
    - Exclude virtual packages provided by the real package (but not the dummy

