=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: piuparts
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders:
  Holger Levsen <holger@debian.org>
 Section: devel
@@ -9,13 +8,20 @@
 Build-Depends:
  debhelper (>= 9.20120909~),
  python (>= 2.7),
+ python-debian,
+ python-apt,
+ python-distro-info,
+ python-nose,
+ python-debianbts,
+ python-yaml,
+ python-mox3
 Build-Depends-Indep:
  asciidoc,
  git,
  xmlto
-Homepage: http://piuparts.debian.org
+Homepage: https://piuparts.debian.org
 Vcs-Git: git://anonscm.debian.org/piuparts/piuparts.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=piuparts/piuparts.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=piuparts/piuparts.git
 X-Python-Version: >= 2.7
 
 Package: piuparts
@@ -74,7 +80,7 @@
  piuparts is meant as a quality assurance tool for people who create .deb
  packages to test them before they upload them to the Debian package archive.
  A master/slave piuparts installation is used for testing complete archives
- as it is done on http://piuparts.debian.org/.
+ as it is done on https://piuparts.debian.org/.
  .
  This package provides the piuparts-master, which needs one or more slaves to
  operate. It also contains piuparts-reports to generate web pages with the
@@ -101,7 +107,7 @@
  piuparts is meant as a quality assurance tool for people who create .deb
  packages to test them before they upload them to the Debian package archive.
  A master/slave piuparts installation is used for testing complete archives
- as it is done on http://piuparts.debian.org/.
+ as it is done on https://piuparts.debian.org/.
  .
  This package provides the piuparts slave components, which need a piuparts
  master to operate. See the documentation in the piuparts-master package.
@@ -110,6 +116,7 @@
 Architecture: all
 Depends:
  python-apt,
+ python-distro-info,
  ${misc:Depends},
  ${python:Depends}
 Breaks:
@@ -120,5 +127,5 @@
  piupartslib, common library used by piuparts-master, -reports, -analyze and
  -slave.
  .
- See http://piuparts.debian.org or the piuparts package to learn more about
+ See https://piuparts.debian.org or the piuparts package to learn more about
  piuparts.
